gtk.SeparatorMenuItem
Prev | The gtk Class Reference | Next

## gtk.SeparatorMenuItem

gtk.SeparatorMenuItem — a separator used in menus.

## Synopsis

    class gtk.SeparatorMenuItem(gtk.MenuItem):
        gtk.SeparatorMenuItem()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Bin
              +-- gtk.Item
                +-- gtk.MenuItem
                  +-- gtk.SeparatorMenuItem

## gtk.SeparatorMenuItem Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

## gtk.SeparatorMenuItem Style Properties

gtk.Widget Style Properties

gtk.MenuItem Style Properties

## gtk.SeparatorMenuItem Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.Item Signal Prototypes

gtk.MenuItem Signal Prototypes

## Description

The `gtk.SeparatorMenuItem` is a separator used to group items within a menu. It displays a horizontal line with a shadow to make it appear sunken into the interface.

## Constructor

        gtk.SeparatorMenuItem()

Returns : | a new `gtk.SeparatorMenuItem` widget

Creates a new `gtk.SeparatorMenuItem` widget.

Prev | Up | Next
gtk.Separator | Home | gtk.SeparatorToolItem